`sig
module Make :
functor
(I : IncrementalEngine.EVERYTHING) (User : sig
val print : string -> unit
val print_symbol :
I.xsymbol -> unit
val print_element :
(I.element -> unit)
option
end) ->
sig
val print_symbols : I.xsymbol list -> unit
val print_element_as_symbol : I.element -> unit
val print_stack : 'a I.env -> unit
val print_item : I.item -> unit
val print_production : I.production -> unit
val print_current_state : 'a I.env -> unit
val print_env : 'a I.env -> unit
end
end`